## aiozipkin 1.1.1a1

=== debian/changelog ===
aiozipkin (1.1.1a1-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 16 Feb 2022 15:16:14 +0000

aiozipkin (1.1.0+git20210825.1.f78bfa1-2) unstable; urgency=medium

  * Rebuild source-only.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 24 Dec 2021 19:24:55 +0000

aiozipkin (1.1.0+git20210825.1.f78bfa1-1) unstable; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 06 Sep 2021 14:27:03 +0100

aiozipkin (1.1.0-1) unstable; urgency=low

  * Initial release. Closes: #988666

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 May 2021 17:07:05 +0100
