=== debian/control ===
Rules-Requires-Root: no
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 12), dh-sequence-python3, python3-all, python3-aiohttp (>= 3.7.2), python3-setuptools
Testsuite: autopkgtest-pkg-python
Source: aiozipkin
Priority: optional
Section: python
Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
Vcs-Git: https://salsa.debian.org/jelmer/aiozipkin.git
Vcs-Browser: https://salsa.debian.org/jelmer/aiozipkin

Package: python3-aiozipkin
Depends: ${python3:Depends}, ${misc:Depends}
Architecture: all
Description: Distributed tracing instrumentation for asyncio application with zipkin
 aiozipkin is a Python module that adds distributed tracing
 capabilities from asyncio applications with zipkin (http://zipkin.io)
 server instrumentation.
 .
 zipkin is a distributed tracing system. It helps gather timing data
 needed to troubleshoot latency problems in microservice architectures.
 It manages both the collection and lookup of this data. Zipkin’s
 design is based on the Google Dapper paper.
 .
 Applications are instrumented with  aiozipkin report timing data to
 zipkin. The Zipkin UI also presents a Dependency diagram showing how
 many traced requests went through each application. If you are
 troubleshooting latency problems or errors, you can filter or sort all
 traces based on the application, length of trace, annotation, or
 timestamp.
