=== debian/watch ===
version=4
https://pypi.debian.net/aiozipkin/aiozipkin-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
